Intermittent textbox-align-baseline-1-ref.xul or input-text-dynamic-height-1-ref.xul or scrollable-rows.xul | Exited with code 1 during test run [ @ CheckScriptOwner] (Assertion failure: script->ownerObject == owner)

RESOLVED WORKSFORME

Status

()

Core
Layout
RESOLVED WORKSFORME
6 years ago
5 years ago

People

(Reporter: mbrubeck, Unassigned)

Tracking

({crash, intermittent-failure})

Trunk
crash, intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [test which aborts the suite], crash signature)

(Reporter)

Description

6 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1313087565.1313088123.16317.gz
Rev3 Fedora 12x64 mozilla-central opt test reftest on 2011/08/11 11:32:45 

REFTEST TEST-START | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/forms/textbox-align-baseline-1-ref.xul
Assertion failure: script->ownerObject == owner, at /builds/slave/m-cen-lnx64/build/js/src/jsscript.cpp:324
TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/forms/textbox-align-baseline-1-ref.xul | Exited with code 1 during test run
INFO | automation.py | Application ran for: 0:06:06.782155
INFO | automation.py | Reading PID log: /tmp/tmpq1p6Fbpidlog
==> process 2254 launched child process 2275
INFO | automation.py | Checking for orphan process with PID: 2275
PROCESS-CRASH | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/forms/textbox-align-baseline-1-ref.xul | application crashed (minidump found)
Crash dump filename: /tmp/tmptXgc2I/minidumps/5109e4c4-1ff6-0af2-2803d1fc-66035ec0.dmp
/var/www/html/stackwalker/minidump_stackwalk /tmp/tmpMycDQe /builds/stackwalker_symbols/63a2f7b9d8ac547174c53da94cbbd223
Operating system: Linux
                  0.0.0 Linux 2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14 EST 2009 x86_64
CPU: amd64
     family 6 model 23 stepping 10
     2 CPUs

Crash reason:  SIGABRT
Crash address: 0x1f4000008ce

Thread 0 (crashed)
 0  libpthread-2.11.so + 0xee6b
    rbx = 0x00007fc1224d5f80   r12 = 0x0000000000000001
    r13 = 0x00007fffffffffff   r14 = 0x0000000004020100
    r15 = 0x0000000000020000   rip = 0x00000034d360ee6b
    rsp = 0x00007fff48e05c48   rbp = 0x00007fc12206fc00
    Found by: given as instruction pointer in context
 1  libxul.so!CheckScriptOwner [jsscript.cpp:420c7a55b4a0 : 324 + 0x17]
    rip = 0x00007fc13f578a02   rsp = 0x00007fff48e05c50
    Found by: stack scanning
 2  libxul.so!js_TraceScript [jsscript.cpp:420c7a55b4a0 : 1444 + 0xa]
    rbx = 0x00007fc12206fc00   r12 = 0x00007fc1224d5f80
    rip = 0x00007fc13f57b4cb   rsp = 0x00007fff48e05e10
    rbp = 0x00007fff48e05f70
    Found by: call frame info
 3  libxul.so!js::GCMarker::drainMarkStack [jsgcmark.cpp:420c7a55b4a0 : 639 + 0x7]
    rbx = 0x00007fff48e05f70   r12 = 0x00007fc1224d5f80
    rip = 0x00007fc13f4bb47d   rsp = 0x00007fff48e05e30
    rbp = 0x0000000000000001
    Found by: call frame info
 4  libxul.so!XPCJSRuntime::TraceJS [jsgc.h:420c7a55b4a0 : 1407 + 0x7]
    rbx = 0x00007fff48e05f70   r12 = 0x0000000000000000
    r13 = 0x00007fc141b53e60   r14 = 0x00007fff48e06070
    r15 = 0x00007fc12a6f5c00   rip = 0x00007fc13eaea3a9
    rsp = 0x00007fff48e05ea0   rbp = 0x00007fc133a79800
    Found by: call frame info
 5  libxul.so!js::MarkRuntime [jsgc.cpp:420c7a55b4a0 : 1845 + 0xb]
    rbx = 0x00007fc132645000   r12 = 0x00007fc141b67e00
    r13 = 0x00007fc141b67e00   r14 = 0x00007fff48e06070
    r15 = 0x00007fc12a6f5c00   rip = 0x00007fc13f4aaa68
    rsp = 0x00007fff48e05ee0   rbp = 0x00007fff48e05f70
    Found by: call frame info
 6  libxul.so!GCCycle [jsgc.cpp:420c7a55b4a0 : 2271 + 0x9]
    rbx = 0x00007fc12e627c00   r12 = 0x00007fc132645000
    r13 = 0x00007fc132645000   r14 = 0x00007fff48e06070
    r15 = 0x00007fc12a6f5c00   rip = 0x00007fc13f4b0a4e
    rsp = 0x00007fff48e05f20   rbp = 0x0000000000000000
    Found by: call frame info
 7  libxul.so!js_GC [jsgc.cpp:420c7a55b4a0 : 2727 + 0x4]
    rbx = 0x00007fc132645000   r12 = 0x00007fc12e627c00
    r13 = 0x0000000000000000   r14 = 0x0000000000000000
    r15 = 0x0000000000000001   rip = 0x00007fc13f4b2f4d
    rsp = 0x00007fff48e06060   rbp = 0x00007fff48e06070
    Found by: call frame info
 8  libxul.so!js::gc::RunLastDitchGC [jsgc.cpp:420c7a55b4a0 : 1349 + 0xb]
    rbx = 0x00007fc132645000   r12 = 0x0000000000000000
    r13 = 0x00007fc12e627c00   r14 = 0x0000000000000001
    r15 = 0x0000000000000005   rip = 0x00007fc13f4b3259
    rsp = 0x00007fff48e06120   rbp = 0x00007fc1326450e0
    Found by: call frame info
 9  libxul.so!js::gc::RefillTypedFreeList<JSString> [jsgc.cpp:420c7a55b4a0 : 1385 + 0x7]
    rbx = 0x00007fc12e627c00   r12 = 0x00007fc12e627c00
    r13 = 0x0000000000000001   r14 = 0x0000000000000001
    r15 = 0x0000000000000005   rip = 0x00007fc13f4b9369
    rsp = 0x00007fff48e06170   rbp = 0x00007fc123095000
    Found by: call frame info
10  libxul.so!js::gc::RefillFinalizableFreeList [jsgc.cpp:420c7a55b4a0 : 1439 + 0x9]
    rbx = 0x00007fc12e627c00   r12 = 0x000000000000000a
    r13 = 0x0000000000000010   r14 = 0x000000000000000a
    r15 = 0x0000000000000005   rip = 0x00007fc13f4b34c4
    rsp = 0x00007fff48e061e0   rbp = 0x0000000000000010
    Found by: call frame info
11  libxul.so!js_NewString [jsgcinlines.h:420c7a55b4a0 : 207 + 0xc]
    rbx = 0x00007fc12e627c00   r12 = 0x000000000000000a
    r13 = 0x0000000000000001   r14 = 0x000000000000000a
    r15 = 0x0000000000000005   rip = 0x00007fc13f588f15
    rsp = 0x00007fff48e062b0   rbp = 0x00007fc12b89dc20
    Found by: call frame info
12  libxul.so!JS_XDRString [jsxdrapi.cpp:420c7a55b4a0 : 468 + 0x4]
    rbx = 0x00007fc12c546640   r12 = 0x00007fff48e065a0
    r13 = 0x0000000000000001   r14 = 0x000000000000000a
    r15 = 0x0000000000000005   rip = 0x00007fc13f5ceedd
    rsp = 0x00007fff48e062d0   rbp = 0x00007fc12b89dc20
    Found by: call frame info
13  libxul.so!js_XDRRegExpObject [jsregexp.cpp:420c7a55b4a0 : 431 + 0xf]
    rbx = 0x00007fc12c546640   r12 = 0x00007fc125232000
    r13 = 0x0000000000000001   r14 = 0x00007fc12c546640
    r15 = 0x0000000000000000   rip = 0x00007fc13f55fd4e
    rsp = 0x00007fff48e06330   rbp = 0x00007fc12e627c00
    Found by: call frame info
14  libxul.so!js_XDRScript [jsscript.cpp:420c7a55b4a0 : 704 + 0x16]
    rbx = 0x00007fc12c546640   r12 = 0x00007fc125232000
    r13 = 0x0000000000000000   r14 = 0x0000000000000000
    r15 = 0x0000000000000000   rip = 0x00007fc13f57ed69
    rsp = 0x00007fff48e06600   rbp = 0x00007fc12e627c00
    Found by: call frame info
15  libxul.so!js_CloneScript [jsscript.cpp:420c7a55b4a0 : 1823 + 0x7]
    rbx = 0x00007fc12c5465e0   r12 = 0x00007fc1403860c0
    r13 = 0x00007fff48e068f0   r14 = 0x00007fc12c546640
    r15 = 0x00007fc12e627c00   rip = 0x00007fc13f57f06f
    rsp = 0x00007fff48e068a0   rbp = 0x0000000000000000
    Found by: call frame info
16  libxul.so!js_CloneFunctionObject [jsfun.cpp:420c7a55b4a0 : 2483 + 0xa]
    rbx = 0x00007fc1224d5f80   r12 = 0x00007fc12b1e6c80
    r13 = 0x00007fc12206fc00   r14 = 0x0000000000004000
    r15 = 0xdadadadadadadada   rip = 0x00007fc13f49ae04
    rsp = 0x00007fff48e06950   rbp = 0x00007fc12e627c00
    Found by: call frame info
17  libxul.so!JS_CloneFunctionObject [jsfun.h:420c7a55b4a0 : 467 + 0x12]
    rbx = 0x00007fc1224d7088   r12 = 0x00007fc12b1e6c80
    r13 = 0x00007fc12b1e6c80   r14 = 0x00007fc122493ad8
    r15 = 0x000000008000ffff   rip = 0x00007fc13f4247d3
    rsp = 0x00007fff48e069b0   rbp = 0x00007fc12e627c00
    Found by: call frame info
18  libxul.so!nsXBLProtoImplMethod::InstallMember [nsXBLProtoImplMethod.cpp:420c7a55b4a0 : 158 + 0xf]
    rbx = 0x00007fc12e627c00   r12 = 0x00007fc1220837c0
    r13 = 0x00007fc1224d7088   r14 = 0x00007fc122493ad8
    r15 = 0x000000008000ffff   rip = 0x00007fc13e6e325f
    rsp = 0x00007fff48e06a10   rbp = 0x00007fc122493b30
    Found by: call frame info
19  libxul.so!nsXBLProtoImpl::InstallImplementation [nsXBLProtoImpl.cpp:420c7a55b4a0 : 115 + 0x1c]
    rbx = 0x00007fc1220837c0   r12 = 0x00007fc1219783c0
    r13 = 0x00007fff48e06a90   r14 = 0x0000000000000000
    r15 = 0x00007fc122a69500   rip = 0x00007fc13e6e573d
    rsp = 0x00007fff48e06a80   rbp = 0x00007fc124a0c500
    Found by: call frame info
20  libxul.so!nsXBLService::LoadBindings [nsXBLService.cpp:420c7a55b4a0 : 643 + 0xc]
    rbx = 0x00007fc124a0c500   r12 = 0x00007fc12b89daf0
    r13 = 0x0000000000000000   r14 = 0x00007fc124f5d520
    r15 = 0x00007fc122a69500   rip = 0x00007fc13e6eca39
    rsp = 0x00007fff48e06ae0   rbp = 0x00007fff48e06c30
    Found by: call frame info
21  libxul.so!nsCSSFrameConstructor::AddFrameConstructionItemsInternal [nsCSSFrameConstructor.cpp:420c7a55b4a0 : 5064 + 0x3f]
    rbx = 0x00007fff48e06f80   r12 = 0x00007fc125797be8
    r13 = 0x00007fc125797b48   r14 = 0x0000000000000003
    r15 = 0x00007fc124a0c500   rip = 0x00007fc13e2932f1
    rsp = 0x00007fff48e06d00   rbp = 0x00007fc125797760
    Found by: call frame info
22  libxul.so!nsCSSFrameConstructor::AddFrameConstructionItems [nsCSSFrameConstructor.cpp:420c7a55b4a0 : 5002 + 0x2d]
    rbx = 0x00007fc124a0c500   r12 = 0x00007fc125797b48
    r13 = 0x00007fc125231c00   r14 = 0x00007fff48e07540
    r15 = 0x00007fff48e06f80   rip = 0x00007fc13e293c3c
    rsp = 0x00007fff48e06dc0   rbp = 0x00007fc125797760
    Found by: call frame info
23  libxul.so!nsCSSFrameConstructor::ProcessChildren [nsCSSFrameConstructor.cpp:420c7a55b4a0 : 9570 + 0x4]
    rbx = 0x00007fc125797760   r12 = 0x00007fff48e06f80
    r13 = 0x00007fc125231c00   r14 = 0x00007fc124a0c300
    r15 = 0x00007fff48e075a0   rip = 0x00007fc13e2967c7
    rsp = 0x00007fff48e06e30   rbp = 0x00007fff48e07540
    Found by: call frame info
24  libxul.so!nsCSSFrameConstructor::ConstructFrameFromItemInternal [nsCSSFrameConstructor.cpp:420c7a55b4a0 : 3760 + 0x55]
    rbx = 0x00007fc12d9f3230   r12 = 0x00007fc125797228
    r13 = 0x0000000000000288   r14 = 0x00007fff48e07180
    r15 = 0x00007fc125231c00   rip = 0x00007fc13e295d8f
    rsp = 0x00007fff48e070c0   rbp = 0x00007fff48e07540
    Found by: call frame info
25  libxul.so!nsCSSFrameConstructor::ConstructFramesFromItem [nsCSSFrameConstructor.cpp:420c7a55b4a0 : 5438 + 0x17]
    rbx = 0x00007fff48e07540   r12 = 0x0000000000000000
    r13 = 0x00007fc1240415a8   r14 = 0x00007fc125797228
    r15 = 0x00007fff48e07710   rip = 0x00007fc13e2961c1
    rsp = 0x00007fff48e071f0   rbp = 0x00007fc12d9f3230
    Found by: call frame info
26  libxul.so!nsCSSFrameConstructor::ProcessChildren [nsCSSFrameConstructor.cpp:420c7a55b4a0 : 9445 + 0x1a]
    rbx = 0x00007fc1240415a8   r12 = 0x00007fff48e073b0
    r13 = 0x00007fc125231c00   r14 = 0x00007fc124a0c100
    r15 = 0x00007fff48e075a0   rip = 0x00007fc13e296901
    rsp = 0x00007fff48e07260   rbp = 0x00007fff48e07540
    Found by: call frame info
27  libxul.so!nsCSSFrameConstructor::ConstructDocElementFrame [nsCSSFrameConstructor.cpp:420c7a55b4a0 : 2491 + 0x19]
    rbx = 0x00007fc125231c00   r12 = 0x00007fc124a0c100
    r13 = 0x00007fff48e07aa0   r14 = 0x00007fff48e07540
    r15 = 0x00007fff48e07710   rip = 0x00007fc13e28b070
    rsp = 0x00007fff48e074f0   rbp = 0x0000000000000001
    Found by: call frame info
28  libxul.so!nsCSSFrameConstructor::ContentRangeInserted [nsCSSFrameConstructor.cpp:420c7a55b4a0 : 6869 + 0x17]
    rbx = 0x00007fc125231c00   r12 = 0x00007fc124a0c100
    r13 = 0x000000000000ea60   r14 = 0x0000000000000000
    r15 = 0x0000000000000000   rip = 0x00007fc13e29a324
    rsp = 0x00007fff48e077b0   rbp = 0x0000000000000000
    Found by: call frame info
29  libxul.so!PresShell::InitialReflow [nsPresShell.cpp:420c7a55b4a0 : 2729 + 0x12]
    rbx = 0x00007fc1242ca400   r12 = 0x00007fc124a0c100
    r13 = 0x000000000000ea60   r14 = 0x00007fc13079b910
    r15 = 0x00007fff48e07cc0   rip = 0x00007fc13e2e0b6a
    rsp = 0x00007fff48e07b30   rbp = 0x00007fff48e07b60
    Found by: call frame info
30  libxul.so!nsXULDocument::StartLayout [nsXULDocument.cpp:420c7a55b4a0 : 2023 + 0x18]
    rbx = 0x00007fc14016f3f0   r12 = 0x00007fc123e1ec00
    r13 = 0x00007fff48e07c20   r14 = 0x00007fc13079b910
    r15 = 0x00007fff48e07cc0   rip = 0x00007fc13e6fc2c7
    rsp = 0x00007fff48e07bc0   rbp = 0x000000008000ffff
    Found by: call frame info
31  libxul.so!nsXULDocument::DoneWalking [nsXULDocument.cpp:420c7a55b4a0 : 3182 + 0x7]
    rbx = 0x00007fff48e07cd0   r12 = 0x00007fff48e07c90
    r13 = 0x00007fff48e07c20   r14 = 0x00007fc13079b910
    r15 = 0x00007fff48e07cc0   rip = 0x00007fc13e6fa841
    rsp = 0x00007fff48e07c10   rbp = 0x00007fc108c0b800
    Found by: call frame info
32  libxul.so!mozilla::css::Loader::SheetComplete [Loader.cpp:420c7a55b4a0 : 1599 + 0x16]
    rbx = 0x00007fc1219ae040   r12 = 0x00007fff48e07d50
    r13 = 0x0000000000000000   r14 = 0x0000000000000001
    r15 = 0x0000000000000000   rip = 0x00007fc13e3951ce
    rsp = 0x00007fff48e07d30   rbp = 0x00007fc1252c8de0
    Found by: call frame info
33  libxul.so!mozilla::css::Loader::HandleLoadEvent [Loader.cpp:420c7a55b4a0 : 2185 + 0xc]
    rbx = 0x00007fc1252c8de0   r12 = 0x00007fc140182950
    r13 = 0x0000000000000001   r14 = 0x00007fff48e07ec0
    r15 = 0x00007fff48e08570   rip = 0x00007fc13e3993d6
    rsp = 0x00007fff48e07e10   rbp = 0x00007fc1219ae040
    Found by: call frame info
34  libxul.so!mozilla::css::SheetLoadData::Run [Loader.cpp:420c7a55b4a0 : 427 + 0x8]
    rbx = 0x00007fc141be68a0   r12 = 0x00007fc140182950
    r13 = 0x0000000000000001   r14 = 0x00007fff48e07ec0
    r15 = 0x00007fff48e08570   rip = 0x00007fc13e399400
    rsp = 0x00007fff48e07e30   rbp = 0x00007fff48e07e60
    Found by: call frame info
35  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:420c7a55b4a0 : 631 + 0x7]
    rbx = 0x00007fc141be68a0   r12 = 0x00007fc140182950
    r13 = 0x0000000000000001   r14 = 0x00007fff48e07ec0
    r15 = 0x00007fff48e08570   rip = 0x00007fc13f07bdac
    rsp = 0x00007fff48e07e40   rbp = 0x00007fff48e07e60
    Found by: call frame info
36  libxul.so!NS_ProcessNextEvent_P [nsThreadUtils.cpp:420c7a55b4a0 : 245 + 0xa]
    rbx = 0x00007fc141b6f700   r12 = 0x00007fc141b6f718
    r13 = 0x0000000000000001   r14 = 0x00007fc140316530
    r15 = 0x00007fff48e08570   rip = 0x00007fc13f038954
    rsp = 0x00007fff48e07eb0   rbp = 0x00007fc141bc3ff0
    Found by: call frame info
37  libxul.so!mozilla::ipc::MessagePump::Run [MessagePump.cpp:420c7a55b4a0 : 110 + 0xa]
    rbx = 0x00007fc141b6f700   r12 = 0x00007fc141b6f718
    r13 = 0x0000000000000001   r14 = 0x00007fc140316530
    r15 = 0x00007fff48e08570   rip = 0x00007fc13ef5287b
    rsp = 0x00007fff48e07ee0   rbp = 0x00007fc141bc3ff0
    Found by: call frame info
38  libxul.so!MessageLoop::Run [message_loop.cc:420c7a55b4a0 : 221 + 0x6]
    rbx = 0x00007fc13702f860   r12 = 0x00007fff48e08670
    r13 = 0x00007fff48e08240   r14 = 0x0000000000000000
    r15 = 0x00007fff48e08570   rip = 0x00007fc13f0dcf2f
    rsp = 0x00007fff48e07f30   rbp = 0x00007fc141be68a0
    Found by: call frame info
39  libxul.so!nsBaseAppShell::Run [nsBaseAppShell.cpp:420c7a55b4a0 : 189 + 0xc]
    rbx = 0x00007fc13702f860   r12 = 0x00007fff48e08670
    r13 = 0x00007fff48e08240   r14 = 0x0000000000000000
    r15 = 0x00007fff48e08570   rip = 0x00007fc13ee57478
    rsp = 0x00007fff48e07f60   rbp = 0x00007fc141be68a0
    Found by: call frame info
40  libxul.so!nsAppStartup::Run [nsAppStartup.cpp:420c7a55b4a0 : 224 + 0x5]
    rbx = 0x00007fc133ae0e40   r12 = 0x00007fff48e08670
    r13 = 0x00007fff48e08240   r14 = 0x0000000000000000
    r15 = 0x00007fff48e08570   rip = 0x00007fc13ec3e86e
    rsp = 0x00007fff48e07f80   rbp = 0x00007fff48e08360
    Found by: call frame info
41  libxul.so!XRE_main [nsAppRunner.cpp:420c7a55b4a0 : 3539 + 0x5]
    rbx = 0x00007fff48e08170   r12 = 0x00007fff48e08670
    r13 = 0x00007fff48e08240   r14 = 0x0000000000000000
    r15 = 0x00007fff48e08570   rip = 0x00007fc13e061e13
    rsp = 0x00007fff48e07f90   rbp = 0x00007fff48e08360
    Found by: call frame info
42  firefox-bin!main [nsBrowserApp.cpp:420c7a55b4a0 : 198 + 0x13]
    rbx = 0x0000000000000000   r12 = 0x00007fff48e0aaf8
    r13 = 0x0000000000000006   r14 = 0x00007fc141b206c0
    r15 = 0x00007fc13f06d4ba   rip = 0x0000000000401de2
    rsp = 0x00007fff48e08880   rbp = 0x00007fff48e0a890
    Found by: call frame info
43  libc-2.11.so + 0x1eb1c
    rbx = 0x0000000000000000   r12 = 0x00000000004018a0
    r13 = 0x00007fff48e0aaf0   r14 = 0x0000000000000000
    r15 = 0x0000000000000000   rip = 0x00000034d2e1eb1d
    rsp = 0x00007fff48e0aa20   rbp = 0x0000000000000000
    Found by: call frame info
44  firefox-bin + 0x1a3f
    rip = 0x0000000000401a40   rsp = 0x00007fff48e0aa40
    Found by: stack scanning
Comment hidden (Treeherder Robot)
http://tbpl.allizom.org/php/getParsedLog.php?id=6012644
Rev3 Fedora 12x64 mozilla-inbound opt test reftest on 2011-08-17 23:34:25 PDT for push 8d4257d1967c

TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/forms/input-text-dynamic-height-1-ref.xul | Exited with code 1 during test run
OS: Linux → All
Hardware: x86_64 → All
Summary: Intermittent TEST-UNEXPECTED-FAIL | reftest/tests/layout/reftests/forms/textbox-align-baseline-1-ref.xul | Exited with code 1 during test run [ @ CheckScriptOwner] (Assertion failure: script->ownerObject == owner) → Intermittent reftests/forms/textbox-align-baseline-1-ref.xul or reftests/forms/input-text-dynamic-height-1-ref.xul | Exited with code 1 during test run [ @ CheckScriptOwner] (Assertion failure: script->ownerObject == owner)
Version: 8 Branch → Trunk
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
http://tbpl.allizom.org/php/getParsedLog.php?id=6078900
Rev3 WINNT 5.1 mozilla-central opt test reftest on 2011-08-22 19:08:49 PDT for push 212179627888


REFTEST TEST-START | file:///c:/talos-slave/test/build/reftest/tests/layout/xul/base/src/grid/reftests/scrollable-rows.xul
Assertion failure: script->ownerObject == owner, at e:/builds/moz2_slave/m-cen-w32/build/js/src/jsscript.cpp:308
Summary: Intermittent reftests/forms/textbox-align-baseline-1-ref.xul or reftests/forms/input-text-dynamic-height-1-ref.xul | Exited with code 1 during test run [ @ CheckScriptOwner] (Assertion failure: script->ownerObject == owner) → Intermittent textbox-align-baseline-1-ref.xul or input-text-dynamic-height-1-ref.xul or scrollable-rows.xul | Exited with code 1 during test run [ @ CheckScriptOwner] (Assertion failure: script->ownerObject == owner)
Comment hidden (Treeherder Robot)

Comment 7

5 years ago
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WORKSFORME
(Assignee)

Updated

5 years ago
Keywords: intermittent-failure
(Assignee)

Updated

5 years ago
Whiteboard: [orange][test which aborts the suite] → [test which aborts the suite]
You need to log in before you can comment on or make changes to this bug.